> ## Documentation Index
> Fetch the complete documentation index at: https://docs.spikeapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# User Properties

> Get information about the current user.



## OpenAPI

````yaml get /userproperties
openapi: 3.1.0
info:
  title: Application user API
  version: 3.0.2
servers:
  - url: https://app-api.spikeapi.com/v3
security: []
paths:
  /userproperties:
    get:
      tags:
        - Info / User
      summary: User Properties
      description: Get information about the current user.
      operationId: getUserproperties
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserPropertiesResponseBody'
          description: OK
        '400':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
          description: Bad Request
        '401':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
          description: Unauthorized
        '404':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
          description: Not Found
        '500':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
          description: Internal Server Error
      security:
        - bearer: []
components:
  schemas:
    UserPropertiesResponseBody:
      additionalProperties: false
      properties:
        properties:
          $ref: '#/components/schemas/UserProperties'
          description: User properties
      required:
        - properties
      type: object
    ErrorModel:
      additionalProperties: false
      properties:
        detail:
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          examples:
            - Property foo is required but is missing.
          type: string
        errors:
          description: Optional list of individual error details
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type:
            - array
            - 'null'
        instance:
          description: >-
            A URI reference that identifies the specific occurrence of the
            problem.
          examples:
            - https://example.com/error-log/abc123
          format: uri
          type: string
        status:
          description: HTTP status code
          examples:
            - 400
          format: int64
          type: integer
        title:
          description: >-
            A short, human-readable summary of the problem type. This value
            should not change between occurrences of the error.
          examples:
            - Bad Request
          type: string
        type:
          default: about:blank
          description: A URI reference to human-readable documentation for the error.
          examples:
            - https://example.com/errors/example
          format: uri
          type: string
      type: object
    UserProperties:
      additionalProperties: false
      properties:
        birth_date:
          description: User birth date in YYYY-MM-DD format
          type: string
        birth_year:
          description: User birth year
          format: int64
          type: integer
        body_bone_mass:
          description: User body bone mass in kg
          format: double
          type: number
        body_fat:
          description: User body fat percentage
          format: double
          type: number
        body_mass_index:
          description: User body mass index
          format: double
          type: number
        gender:
          description: User gender in ISO/IEC 5218 format
          enum:
            - unknown
            - male
            - female
            - other
          type: string
        height:
          description: User height in cm
          format: double
          type: number
        language:
          description: User language in ISO 639 (SET 1) format (e.g., 'en')
          type: string
        resting_heartrate:
          description: User resting heart rate in bpm
          format: double
          type: number
        timezone:
          description: User timezone in IANA format (e.g., 'America/New_York')
          type: string
        weight:
          description: User weight in kg
          format: double
          type: number
      type: object
    ErrorDetail:
      additionalProperties: false
      properties:
        location:
          description: >-
            Where the error occurred, e.g. 'body.items[3].tags' or
            'path.thing-id'
          type: string
        message:
          description: Error message text
          type: string
        value:
          description: The value at the given location
      type: object
  securitySchemes:
    bearer:
      bearerFormat: JWT
      scheme: bearer
      type: http

````